gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ScaleButtonAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ScaleButtonAccessible = ScaleButtonAccessible (ManagedPtr ScaleButtonAccessible)
- class (GObject o, IsDescendantOf ScaleButtonAccessible o) => IsScaleButtonAccessible o
- toScaleButtonAccessible :: (MonadIO m, IsScaleButtonAccessible o) => o -> m ScaleButtonAccessible

# Exported types

newtype ScaleButtonAccessible Source #

Memory-managed wrapper type.

Constructors

ScaleButtonAccessible (ManagedPtr ScaleButtonAccessible) |

#### Instances

Instances details

Eq ScaleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleButtonAccessible Methods (==) :: ScaleButtonAccessible -> ScaleButtonAccessible -> Bool Source # (/=) :: ScaleButtonAccessible -> ScaleButtonAccessible -> Bool Source #
GObject ScaleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleButtonAccessible
ManagedPtrNewtype ScaleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleButtonAccessible Methods toManagedPtr :: ScaleButtonAccessible -> ManagedPtr ScaleButtonAccessible Source #
TypedObject ScaleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleButtonAccessible Methods glibType :: IO GType Source #
HasParentTypes ScaleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleButtonAccessible
IsGValue (Maybe ScaleButtonAccessible) Source # | Convert `ScaleButtonAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ScaleButtonAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ScaleButtonAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ScaleButtonAccessible) Source #
type ParentTypes ScaleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ScaleButtonAccessible type ParentTypes ScaleButtonAccessible = '[ButtonAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Image, Value]

class (GObject o, IsDescendantOf ScaleButtonAccessible o) => IsScaleButtonAccessible o Source #

Type class for types which can be safely cast to `ScaleButtonAccessible`, for instance with `toScaleButtonAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ScaleButtonAccessible o) => IsScaleButtonAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ScaleButtonAccessible

toScaleButtonAccessible :: (MonadIO m, IsScaleButtonAccessible o) => o -> m ScaleButtonAccessible Source #

Cast to `ScaleButtonAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getCurrentValue, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIncrement, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMaximumValue, getMdiZorder, getMinimumIncrement, getMinimumValue, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRange, getRole, getSize, getSubRanges, getValueAndText, getWidget.

#### Setters

setAccessibleId, setCurrentValue, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setValue, setWidget.